# IRremoteESP8266: src/ir_Sony.cpp File Reference

ir_Sony.cpp File Reference

Support for Sony SIRC(Serial Infra-Red Control) protocols. Sony originally added from https://github.com/shirriff/Arduino-IRremote/ Updates from marcosamarinho. More...

## Variables

const uint16_t | kSonyTick = 200
const uint16_t | kSonyHdrMarkTicks = 12
const uint16_t | kSonyHdrMark = kSonyHdrMarkTicks * kSonyTick
const uint16_t | kSonySpaceTicks = 3
const uint16_t | kSonySpace = kSonySpaceTicks * kSonyTick
const uint16_t | kSonyOneMarkTicks = 6
const uint16_t | kSonyOneMark = kSonyOneMarkTicks * kSonyTick
const uint16_t | kSonyZeroMarkTicks = 3
const uint16_t | kSonyZeroMark = kSonyZeroMarkTicks * kSonyTick
const uint16_t | kSonyRptLengthTicks = 225
const uint16_t | kSonyRptLength = kSonyRptLengthTicks * kSonyTick
const uint16_t | kSonyMinGapTicks = 50
const uint16_t | kSonyMinGap = kSonyMinGapTicks * kSonyTick
const uint16_t | kSonyStdFreq = 40000
const uint16_t | kSonyAltFreq = 38000

## Detailed Description

Support for Sony SIRC(Serial Infra-Red Control) protocols. Sony originally added from https://github.com/shirriff/Arduino-IRremote/ Updates from marcosamarinho.

See also
  http://www.sbprojects.com/knowledge/ir/sirc.php
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1018

## Variable Documentation

## kSonyAltFreq

const uint16_t kSonyAltFreq = 38000

## kSonyHdrMark

const uint16_t kSonyHdrMark = kSonyHdrMarkTicks * kSonyTick

## kSonyHdrMarkTicks

const uint16_t kSonyHdrMarkTicks = 12

## kSonyMinGap

const uint16_t kSonyMinGap = kSonyMinGapTicks * kSonyTick

## kSonyMinGapTicks

const uint16_t kSonyMinGapTicks = 50

## kSonyOneMark

const uint16_t kSonyOneMark = kSonyOneMarkTicks * kSonyTick

## kSonyOneMarkTicks

const uint16_t kSonyOneMarkTicks = 6

## kSonyRptLength

const uint16_t kSonyRptLength = kSonyRptLengthTicks * kSonyTick

## kSonyRptLengthTicks

const uint16_t kSonyRptLengthTicks = 225

## kSonySpace

const uint16_t kSonySpace = kSonySpaceTicks * kSonyTick

## kSonySpaceTicks

const uint16_t kSonySpaceTicks = 3

## kSonyStdFreq

const uint16_t kSonyStdFreq = 40000

## kSonyTick

const uint16_t kSonyTick = 200

## kSonyZeroMark

const uint16_t kSonyZeroMark = kSonyZeroMarkTicks * kSonyTick

## kSonyZeroMarkTicks

const uint16_t kSonyZeroMarkTicks = 3